> For the complete documentation index, see [llms.txt](https://alfabit.gitbook.io/alfabit-pay-en/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://alfabit.gitbook.io/alfabit-pay-en/api-reference.md).

# API Reference

## GET /api/v2/integration/orders

> Retrieve merchant order list with typed search

```json
{"openapi":"3.0.0","info":{"title":"API Integration","version":"0.0.4.1-alpha"},"tags":[{"name":"api","description":""}],"paths":{"/api/v2/integration/orders":{"get":{"operationId":"ApiOrderController_getOrders2","summary":"Retrieve merchant order list with typed search","parameters":[{"name":"x-api-key","in":"header","required":true,"schema":{"type":"string"}},{"name":"page","required":false,"in":"query","description":"Page","schema":{"type":"number"}},{"name":"limit","required":false,"in":"query","description":"Number of items per page","schema":{"type":"number"}},{"name":"orderBy","required":false,"in":"query","description":"Sort by field","schema":{"type":"string"}},{"name":"statuses","required":false,"in":"query","description":"Order status","schema":{"type":"array","items":{"type":"string","enum":["success","failed","inProgress"]}}},{"name":"types","required":false,"in":"query","description":"Order type","schema":{"type":"array","items":{"type":"string","enum":["invoice","invoice-without-amount","exchange","withdraw","withdraw-with-exchange","currency-to-currency","deposit","account-transfer","account-deposit"]}}},{"name":"merchantsUids","required":false,"in":"query","description":"Merchant UIDs","schema":{"type":"array","items":{"type":"string"}}},{"name":"billingTags","required":false,"in":"query","description":"Billing tag","schema":{"type":"array","items":{"type":"string"}}},{"name":"assets","required":false,"in":"query","description":"Assets","schema":{"type":"array","items":{"type":"string"}}},{"name":"networks","required":false,"in":"query","description":"Networks","schema":{"type":"array","items":{"type":"string"}}},{"name":"createdAtSince","required":false,"in":"query","description":"Creation date (start of period) the string must comply with the ISO8601 format and be in URL-encoded escaped format. <br> Allowed 2025-01-14T21:00:00.000%2b03:00 the \"+\" sign -> \"%2B\" or 2025-01-14T21:00:00.000Z. <br> Correct 2025-01-14T21%3A00%3A00.000%2B03%3A00","schema":{"format":"date-time","type":"string"}},{"name":"createdAtBefore","required":false,"in":"query","description":"Creation date (end of period) the string must comply with the ISO8601 format and be in URL-encoded escaped format. <br> Allowed 2025-01-14T21:00:00.000%2b03:00 the \"+\" sign -> \"%2B\" or 2025-01-14T21:00:00.000Z. <br> Correct 2025-01-14T21%3A00%3A00.000%2B03%3A00","schema":{"format":"date-time","type":"string"}},{"name":"searchType","required":false,"in":"query","description":"Type of details to search for","schema":{"enum":["byComments","byMerchantDetails","byOrderDetails"],"type":"string"}},{"name":"searchText","required":false,"in":"query","description":"Text to search in the specified type of details","schema":{"type":"string"}}],"responses":{"200":{"description":"Successfully retrieved merchant order list","content":{"application/json":{"schema":{"allOf":[{"$ref":"#/components/schemas/AResponseType"},{"properties":{"data":{"type":"array","items":{"$ref":"#/components/schemas/OrderSerializerNoRelationsAsync"}}}}]}}}},"400":{"description":"Invalid request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CustomBadRequestException"}}}},"401":{"description":"Authentication required","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CustomUnauthorizedException"}}}},"403":{"description":"Insufficient permissions","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CustomForbiddenException"}}}},"500":{"description":"System error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CustomInternalErrorException"}}}}},"tags":["api"]}}},"components":{"schemas":{"AResponseType":{"type":"object","properties":{"message":{"type":"string","description":"Status message"},"data":{"type":"object","description":"Data"},"count":{"type":"number","description":"Total number of items in the database"}},"required":["message"]},"OrderSerializerNoRelationsAsync":{"type":"object","properties":{"id":{"type":"number","description":"ID"},"uid":{"type":"string","description":"UUID"},"createdAt":{"format":"date-time","type":"string","description":"Creation date"},"updatedAt":{"format":"date-time","type":"string","description":"Update date"},"deletedAt":{"format":"date-time","type":"string","description":"Deletion date"},"serviceCommission":{"type":"string","description":"Service commission"},"netCommission":{"type":"string","description":"Network commission"},"comment":{"type":"string","description":"Comment"},"publicComment":{"type":"string","description":"Public comment"},"merchantUid":{"type":"string","description":"Merchant UUID"},"merchantName":{"type":"string","description":"Merchant name"},"merchantId":{"type":"string","description":"Merchant ID"},"type":{"type":"string","description":"Order type","enum":["invoice","invoice-without-amount","exchange","withdraw","withdraw-with-exchange","currency-to-currency","deposit","account-transfer","account-deposit","ref-payment"]},"status":{"type":"string","description":"Order status","enum":["created","success","warning","failed","inProgress","invoiceWaitCreate","invoiceNotCreated","invoiceWaitRequisites","invoiceWaitPay","invoiceWaitConfirms","invoiceWaitCheck","invoiceNotPayed","invoiceCheckBlocked","transferBlocked","exchangeBlocked","withdrawBlocked"]},"invoiceCurrencyCode":{"type":"string","description":"Currency in which the invoice is issued"},"currencyInCode":{"type":"string","description":"Payment currency"},"currencyOutCode":{"type":"string","description":"Receiving currency"},"invoiceAmount":{"type":"string","description":"Invoice amount"},"amountInExpected":{"type":"string","description":"Expected payment amount"},"amountInFact":{"type":"string","description":"Actual payment amount"},"amountOutExpected":{"type":"string","description":"Expected receiving amount"},"amountOutFact":{"type":"string","description":"Actual receiving amount"},"hedgeRate":{"type":"string","description":"Hedging rate"},"isDone":{"type":"boolean","description":"Is the order completed?"},"apiMode":{"type":"string","description":"Order creation source (UI | API)","enum":["ui","api"]},"risk":{"type":"string","description":"Risk assessment"},"requisites":{"type":"string","description":"Order requisites"},"requisitesIn":{"type":"string","description":"Input requisites"},"requisitesOut":{"type":"string","description":"Output requisites"},"requisitesMemoTag":{"type":"string","description":"Memo tag (for XRP, TON, etc.)"},"requisitesMemoTagIn":{"type":"string","description":"Input memo tag (for XRP, TON, etc.)"},"requisitesMemoTagOut":{"type":"string","description":"Output memo tag (for XRP, TON, etc.)"},"billingTag":{"type":"string","description":"Billing tag"},"requisitesQrCode":{"type":"string","description":"Link to QR code with requisites"},"assetInCode":{"type":"string","description":"Input asset"},"assetOutCode":{"type":"string","description":"Output asset"},"networkInCode":{"type":"string","description":"Input asset network"},"networkOutCode":{"type":"string","description":"Output asset network"},"balanceAfter":{"type":"string","description":"Balance after order completion"},"callbackUrl":{"type":"string","description":"Callback URL"},"invoicePublicUrl":{"type":"string","description":"Public invoice URL"},"txId":{"type":"string","description":"Transaction ID"},"expirationTime":{"format":"date-time","type":"string","description":"Pay by"},"isImPayed":{"type":"boolean","description":"Has the user confirmed payment?"},"isBayerPaysService":{"type":"boolean","description":"Does the buyer pay the service fee for invoices?"},"serviceFeeCurrencyCode":{"type":"string","description":"Currency for paying the service fee"},"netFeeCurrencyCode":{"type":"string","description":"Currency for reimbursing the network fee"}},"required":["id","uid","createdAt","updatedAt","deletedAt","serviceCommission","netCommission","comment","publicComment","merchantUid","merchantName","merchantId","type","status","invoiceCurrencyCode","currencyInCode","currencyOutCode","invoiceAmount","amountInExpected","amountInFact","amountOutExpected","amountOutFact","hedgeRate","isDone","apiMode","risk","requisites","requisitesIn","requisitesOut","requisitesMemoTag","requisitesMemoTagIn","requisitesMemoTagOut","billingTag","requisitesQrCode","assetInCode","assetOutCode","networkInCode","networkOutCode","balanceAfter","callbackUrl","invoicePublicUrl","txId","expirationTime","isImPayed","isBayerPaysService","serviceFeeCurrencyCode","netFeeCurrencyCode"]},"CustomBadRequestException":{"type":"object","properties":{"error":{"type":"string","description":"Error description"},"errorCode":{"type":"number","description":"Error code"}},"required":["errorCode"]},"CustomUnauthorizedException":{"type":"object","properties":{"error":{"type":"string","description":"Error description"},"errorCode":{"type":"number","description":"Error code"}},"required":["errorCode"]},"CustomForbiddenException":{"type":"object","properties":{"error":{"type":"string","description":"Error description"},"errorCode":{"type":"number","description":"Error code"}},"required":["errorCode"]},"CustomInternalErrorException":{"type":"object","properties":{"error":{"type":"string","description":"Error description"},"errorCode":{"type":"number","description":"Error code"}},"required":["errorCode"]}}}}
```

## GET /api/v1/integration/orders/{orderUid}

> Retrieve order information

```json
{"openapi":"3.0.0","info":{"title":"API Integration","version":"0.0.4.1-alpha"},"tags":[{"name":"api","description":""}],"paths":{"/api/v1/integration/orders/{orderUid}":{"get":{"operationId":"ApiOrderController_getOrder","summary":"Retrieve order information","parameters":[{"name":"x-api-key","in":"header","required":true,"schema":{"type":"string"}},{"name":"orderUid","required":true,"in":"path","schema":{"type":"string"}}],"responses":{"200":{"description":"Successfully retrieved order information","content":{"application/json":{"schema":{"allOf":[{"$ref":"#/components/schemas/AResponseType"},{"properties":{"data":{"$ref":"#/components/schemas/OrderSerializer"}}}]}}}},"400":{"description":"Invalid request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CustomBadRequestException"}}}},"401":{"description":"Authentication required","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CustomUnauthorizedException"}}}},"403":{"description":"Insufficient permissions","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CustomForbiddenException"}}}},"500":{"description":"System error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CustomInternalErrorException"}}}}},"tags":["api"]}}},"components":{"schemas":{"AResponseType":{"type":"object","properties":{"message":{"type":"string","description":"Status message"},"data":{"type":"object","description":"Data"},"count":{"type":"number","description":"Total number of items in the database"}},"required":["message"]},"OrderSerializer":{"type":"object","properties":{"id":{"type":"number","description":"Id"},"uid":{"type":"string","description":"UUID"},"createdAt":{"format":"date-time","type":"string","description":"Creation date"},"updatedAt":{"format":"date-time","type":"string","description":"Update date"},"deletedAt":{"format":"date-time","type":"string","description":"Deletion date"},"serviceCommission":{"type":"string","description":"Service commission"},"netCommission":{"type":"string","description":"Network commission"},"comment":{"type":"string","description":"Comment"},"publicComment":{"type":"string","description":"Public comment"},"merchantUid":{"type":"string","description":"Merchant UUID"},"merchantName":{"type":"string","description":"Merchant name"},"merchantId":{"type":"string","description":"Merchant ID"},"type":{"type":"string","description":"Order type","enum":["invoice","invoice-without-amount","exchange","withdraw","withdraw-with-exchange","currency-to-currency","deposit","account-transfer","account-deposit","ref-payment"]},"status":{"type":"string","description":"Order status","enum":["created","success","warning","failed","inProgress","invoiceWaitCreate","invoiceNotCreated","invoiceWaitRequisites","invoiceWaitPay","invoiceWaitConfirms","invoiceWaitCheck","invoiceNotPayed","invoiceCheckBlocked","transferBlocked","exchangeBlocked","withdrawBlocked"]},"invoiceCurrencyCode":{"type":"string","description":"Invoice currency"},"currencyInCode":{"type":"string","description":"Payment currency"},"currencyOutCode":{"type":"string","description":"Receiving currency"},"invoiceAmount":{"type":"string","description":"Invoice amount"},"amountInExpected":{"type":"string","description":"Expected payment amount"},"amountInFact":{"type":"string","description":"Actual payment amount"},"amountOutExpected":{"type":"string","description":"Expected receiving amount"},"amountOutFact":{"type":"string","description":"Actual receiving amount"},"hedgeRate":{"type":"string","description":"Hedging rate"},"isDone":{"type":"boolean","description":"Is order completed?"},"apiMode":{"type":"string","description":"Order creation source (UI | API)","enum":["ui","api"]},"risk":{"type":"string","description":"Risk assessment"},"requisites":{"type":"string","description":"Order requisites"},"requisitesIn":{"type":"string","description":"Input requisites"},"requisitesOut":{"type":"string","description":"Output requisites"},"requisitesMemoTag":{"type":"string","description":"Memo tag (for XRP, TON etc.)"},"requisitesMemoTagIn":{"type":"string","description":"Input memo tag (for XRP, TON etc.)"},"requisitesMemoTagOut":{"type":"string","description":"Output memo tag (for XRP, TON etc.)"},"billingTag":{"type":"string","description":"Billing tag"},"requisitesQrCode":{"type":"string","description":"QR code link with requisites"},"assetInCode":{"type":"string","description":"Input asset"},"assetOutCode":{"type":"string","description":"Output asset"},"networkInCode":{"type":"string","description":"Input asset network"},"networkOutCode":{"type":"string","description":"Output asset network"},"balanceAfter":{"type":"string","description":"Balance after order completion"},"callbackUrl":{"type":"string","description":"Callback URL"},"invoicePublicUrl":{"type":"string","description":"Public invoice URL"},"txId":{"type":"string","description":"Transaction ID"},"expirationTime":{"format":"date-time","type":"string","description":"Pay until"},"isImPayed":{"type":"boolean","description":"Is paid immediately?"},"isBayerPaysService":{"type":"boolean","description":"Does buyer pay service commission for invoices?"},"serviceFeeCurrencyCode":{"type":"string","description":"Service fee payment currency"},"netFeeCurrencyCode":{"type":"string","description":"Network fee reimbursement currency"},"paymentTiming":{"type":"string","description":"Payment timing - on time or after due","enum":["onTime","afterDue"]},"amountValidity":{"type":"string","description":"Payment amount validity","enum":["less","valid","greater"]}},"required":["id","uid","createdAt","updatedAt","deletedAt","serviceCommission","netCommission","comment","publicComment","merchantUid","merchantName","merchantId","type","status","invoiceCurrencyCode","currencyInCode","currencyOutCode","invoiceAmount","amountInExpected","amountInFact","amountOutExpected","amountOutFact","hedgeRate","isDone","apiMode","risk","requisites","requisitesIn","requisitesOut","requisitesMemoTag","requisitesMemoTagIn","requisitesMemoTagOut","billingTag","requisitesQrCode","assetInCode","assetOutCode","networkInCode","networkOutCode","balanceAfter","callbackUrl","invoicePublicUrl","txId","expirationTime","isImPayed","isBayerPaysService","serviceFeeCurrencyCode","netFeeCurrencyCode","paymentTiming","amountValidity"]},"CustomBadRequestException":{"type":"object","properties":{"error":{"type":"string","description":"Error description"},"errorCode":{"type":"number","description":"Error code"}},"required":["errorCode"]},"CustomUnauthorizedException":{"type":"object","properties":{"error":{"type":"string","description":"Error description"},"errorCode":{"type":"number","description":"Error code"}},"required":["errorCode"]},"CustomForbiddenException":{"type":"object","properties":{"error":{"type":"string","description":"Error description"},"errorCode":{"type":"number","description":"Error code"}},"required":["errorCode"]},"CustomInternalErrorException":{"type":"object","properties":{"error":{"type":"string","description":"Error description"},"errorCode":{"type":"number","description":"Error code"}},"required":["errorCode"]}}}}
```

## Create invoice

> &#x20;     Create invoice with specified payment amount.\
> &#x20;     The invoice is generated in the invoiceAssetCode currency. \
> &#x20;     Payment is made in the currency specified by currencyInCode. \
> &#x20;     If left empty, the customer will be offered a list of available payment currencies.   &#x20;

```json
{"openapi":"3.0.0","info":{"title":"API Integration","version":"0.0.4.1-alpha"},"tags":[{"name":"api","description":""}],"paths":{"/api/v1/integration/orders/invoice":{"post":{"operationId":"ApiOrderController_createInvoice","summary":"Create invoice","description":"      Create invoice with specified payment amount.\n      The invoice is generated in the invoiceAssetCode currency. \n      Payment is made in the currency specified by currencyInCode. \n      If left empty, the customer will be offered a list of available payment currencies.    ","parameters":[{"name":"x-api-key","in":"header","required":true,"schema":{"type":"string"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/InvoiceDto"}}}},"responses":{"200":{"description":"Invoice created successfully","content":{"application/json":{"schema":{"allOf":[{"$ref":"#/components/schemas/AResponseType"},{"properties":{"data":{"$ref":"#/components/schemas/OrderSerializer"}}}]}}}},"400":{"description":"Invalid request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CustomBadRequestException"}}}},"401":{"description":"Authentication required","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CustomUnauthorizedException"}}}},"403":{"description":"Insufficient permissions","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CustomForbiddenException"}}}},"500":{"description":"System error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CustomInternalErrorException"}}}}},"tags":["api"]}}},"components":{"schemas":{"InvoiceDto":{"type":"object","properties":{"currencyInCode":{"type":"string","description":"Currency selected by the buyer for payment"},"invoiceAssetCode":{"type":"string","description":"Asset in which the invoice is issued to the buyer"},"comment":{"type":"string","description":"Order comment. Optional field","minLength":5},"publicComment":{"type":"string","description":"Public order comment. Optional field","minLength":5},"callbackUrl":{"type":"string","description":"Callback URL for sending hooks","minLength":5},"redirectUrl":{"type":"string","description":"URL to redirect the buyer after payment","minLength":5},"isBayerPaysService":{"type":"boolean","description":"Include the service fee in the buyer's invoice (if not specified, taken from merchant settings)"},"isAwaitRequisites":{"type":"boolean","description":"Wait for payment requisites in the response (default false)"},"expiryDurationMinutes":{"type":"number","description":"Invoice lifetime in minutes (default 20)"},"invoiceTpl":{"type":"object","description":"Payment form layout template","nullable":true},"invoiceAmount":{"type":"string","description":"Payment amount in $invoiceAssetCode"}},"required":["invoiceAssetCode","invoiceAmount"]},"AResponseType":{"type":"object","properties":{"message":{"type":"string","description":"Status message"},"data":{"type":"object","description":"Data"},"count":{"type":"number","description":"Total number of items in the database"}},"required":["message"]},"OrderSerializer":{"type":"object","properties":{"id":{"type":"number","description":"Id"},"uid":{"type":"string","description":"UUID"},"createdAt":{"format":"date-time","type":"string","description":"Creation date"},"updatedAt":{"format":"date-time","type":"string","description":"Update date"},"deletedAt":{"format":"date-time","type":"string","description":"Deletion date"},"serviceCommission":{"type":"string","description":"Service commission"},"netCommission":{"type":"string","description":"Network commission"},"comment":{"type":"string","description":"Comment"},"publicComment":{"type":"string","description":"Public comment"},"merchantUid":{"type":"string","description":"Merchant UUID"},"merchantName":{"type":"string","description":"Merchant name"},"merchantId":{"type":"string","description":"Merchant ID"},"type":{"type":"string","description":"Order type","enum":["invoice","invoice-without-amount","exchange","withdraw","withdraw-with-exchange","currency-to-currency","deposit","account-transfer","account-deposit","ref-payment"]},"status":{"type":"string","description":"Order status","enum":["created","success","warning","failed","inProgress","invoiceWaitCreate","invoiceNotCreated","invoiceWaitRequisites","invoiceWaitPay","invoiceWaitConfirms","invoiceWaitCheck","invoiceNotPayed","invoiceCheckBlocked","transferBlocked","exchangeBlocked","withdrawBlocked"]},"invoiceCurrencyCode":{"type":"string","description":"Invoice currency"},"currencyInCode":{"type":"string","description":"Payment currency"},"currencyOutCode":{"type":"string","description":"Receiving currency"},"invoiceAmount":{"type":"string","description":"Invoice amount"},"amountInExpected":{"type":"string","description":"Expected payment amount"},"amountInFact":{"type":"string","description":"Actual payment amount"},"amountOutExpected":{"type":"string","description":"Expected receiving amount"},"amountOutFact":{"type":"string","description":"Actual receiving amount"},"hedgeRate":{"type":"string","description":"Hedging rate"},"isDone":{"type":"boolean","description":"Is order completed?"},"apiMode":{"type":"string","description":"Order creation source (UI | API)","enum":["ui","api"]},"risk":{"type":"string","description":"Risk assessment"},"requisites":{"type":"string","description":"Order requisites"},"requisitesIn":{"type":"string","description":"Input requisites"},"requisitesOut":{"type":"string","description":"Output requisites"},"requisitesMemoTag":{"type":"string","description":"Memo tag (for XRP, TON etc.)"},"requisitesMemoTagIn":{"type":"string","description":"Input memo tag (for XRP, TON etc.)"},"requisitesMemoTagOut":{"type":"string","description":"Output memo tag (for XRP, TON etc.)"},"billingTag":{"type":"string","description":"Billing tag"},"requisitesQrCode":{"type":"string","description":"QR code link with requisites"},"assetInCode":{"type":"string","description":"Input asset"},"assetOutCode":{"type":"string","description":"Output asset"},"networkInCode":{"type":"string","description":"Input asset network"},"networkOutCode":{"type":"string","description":"Output asset network"},"balanceAfter":{"type":"string","description":"Balance after order completion"},"callbackUrl":{"type":"string","description":"Callback URL"},"invoicePublicUrl":{"type":"string","description":"Public invoice URL"},"txId":{"type":"string","description":"Transaction ID"},"expirationTime":{"format":"date-time","type":"string","description":"Pay until"},"isImPayed":{"type":"boolean","description":"Is paid immediately?"},"isBayerPaysService":{"type":"boolean","description":"Does buyer pay service commission for invoices?"},"serviceFeeCurrencyCode":{"type":"string","description":"Service fee payment currency"},"netFeeCurrencyCode":{"type":"string","description":"Network fee reimbursement currency"},"paymentTiming":{"type":"string","description":"Payment timing - on time or after due","enum":["onTime","afterDue"]},"amountValidity":{"type":"string","description":"Payment amount validity","enum":["less","valid","greater"]}},"required":["id","uid","createdAt","updatedAt","deletedAt","serviceCommission","netCommission","comment","publicComment","merchantUid","merchantName","merchantId","type","status","invoiceCurrencyCode","currencyInCode","currencyOutCode","invoiceAmount","amountInExpected","amountInFact","amountOutExpected","amountOutFact","hedgeRate","isDone","apiMode","risk","requisites","requisitesIn","requisitesOut","requisitesMemoTag","requisitesMemoTagIn","requisitesMemoTagOut","billingTag","requisitesQrCode","assetInCode","assetOutCode","networkInCode","networkOutCode","balanceAfter","callbackUrl","invoicePublicUrl","txId","expirationTime","isImPayed","isBayerPaysService","serviceFeeCurrencyCode","netFeeCurrencyCode","paymentTiming","amountValidity"]},"CustomBadRequestException":{"type":"object","properties":{"error":{"type":"string","description":"Error description"},"errorCode":{"type":"number","description":"Error code"}},"required":["errorCode"]},"CustomUnauthorizedException":{"type":"object","properties":{"error":{"type":"string","description":"Error description"},"errorCode":{"type":"number","description":"Error code"}},"required":["errorCode"]},"CustomForbiddenException":{"type":"object","properties":{"error":{"type":"string","description":"Error description"},"errorCode":{"type":"number","description":"Error code"}},"required":["errorCode"]},"CustomInternalErrorException":{"type":"object","properties":{"error":{"type":"string","description":"Error description"},"errorCode":{"type":"number","description":"Error code"}},"required":["errorCode"]}}}}
```

This endpoint allows merchants to create a new invoice (`invoiceAssetCode`) with a specified amount (`invoiceAmount`). The customer may pay using a different asset (`currencyInCode`).\
If `currencyInCode` is not provided, the customer will be presented with a list of available currencies for payment.

There are two modes for receiving payment details:

* Receive payment details in the API response.
* Receive payment details via webhook.

To switch between these modes, use the parameter `isAwaitRequisites` (`true` = wait for webhook, `false` = return in response).

## Create withdrawal

> Withdrawal to an external address.

```json
{"openapi":"3.0.0","info":{"title":"API Integration","version":"0.0.4.1-alpha"},"tags":[{"name":"api","description":""}],"paths":{"/api/v1/integration/orders/withdraw":{"post":{"operationId":"ApiOrderController_createWithdraw","summary":"Create withdrawal","description":"Withdrawal to an external address.","parameters":[{"name":"x-api-key","in":"header","required":true,"schema":{"type":"string"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CryptoWithdraw"}}}},"responses":{"200":{"description":"Withdrawal created successfully","content":{"application/json":{"schema":{"allOf":[{"$ref":"#/components/schemas/AResponseType"},{"properties":{"data":{"$ref":"#/components/schemas/OrderSerializer"}}}]}}}},"400":{"description":"Invalid request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CustomBadRequestException"}}}},"401":{"description":"Authentication required","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CustomUnauthorizedException"}}}},"403":{"description":"Insufficient permissions","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CustomForbiddenException"}}}},"500":{"description":"System error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CustomInternalErrorException"}}}}},"tags":["api"]}}},"components":{"schemas":{"CryptoWithdraw":{"type":"object","properties":{"amount":{"type":"string","description":"Output amount"},"toCurrencyCode":{"type":"string","description":"Receiving currency (with network)"},"recipient":{"type":"string","description":"Recipient (address)"},"requisitesMemoTag":{"type":"string","description":"Memo tag (for XRP, TON, etc.)"},"callbackUrl":{"type":"string","description":"Callback URL for sending hooks","minLength":5},"comment":{"type":"string","description":"Transfer comment. Optional field"}},"required":["amount","toCurrencyCode","recipient"]},"AResponseType":{"type":"object","properties":{"message":{"type":"string","description":"Status message"},"data":{"type":"object","description":"Data"},"count":{"type":"number","description":"Total number of items in the database"}},"required":["message"]},"OrderSerializer":{"type":"object","properties":{"id":{"type":"number","description":"Id"},"uid":{"type":"string","description":"UUID"},"createdAt":{"format":"date-time","type":"string","description":"Creation date"},"updatedAt":{"format":"date-time","type":"string","description":"Update date"},"deletedAt":{"format":"date-time","type":"string","description":"Deletion date"},"serviceCommission":{"type":"string","description":"Service commission"},"netCommission":{"type":"string","description":"Network commission"},"comment":{"type":"string","description":"Comment"},"publicComment":{"type":"string","description":"Public comment"},"merchantUid":{"type":"string","description":"Merchant UUID"},"merchantName":{"type":"string","description":"Merchant name"},"merchantId":{"type":"string","description":"Merchant ID"},"type":{"type":"string","description":"Order type","enum":["invoice","invoice-without-amount","exchange","withdraw","withdraw-with-exchange","currency-to-currency","deposit","account-transfer","account-deposit","ref-payment"]},"status":{"type":"string","description":"Order status","enum":["created","success","warning","failed","inProgress","invoiceWaitCreate","invoiceNotCreated","invoiceWaitRequisites","invoiceWaitPay","invoiceWaitConfirms","invoiceWaitCheck","invoiceNotPayed","invoiceCheckBlocked","transferBlocked","exchangeBlocked","withdrawBlocked"]},"invoiceCurrencyCode":{"type":"string","description":"Invoice currency"},"currencyInCode":{"type":"string","description":"Payment currency"},"currencyOutCode":{"type":"string","description":"Receiving currency"},"invoiceAmount":{"type":"string","description":"Invoice amount"},"amountInExpected":{"type":"string","description":"Expected payment amount"},"amountInFact":{"type":"string","description":"Actual payment amount"},"amountOutExpected":{"type":"string","description":"Expected receiving amount"},"amountOutFact":{"type":"string","description":"Actual receiving amount"},"hedgeRate":{"type":"string","description":"Hedging rate"},"isDone":{"type":"boolean","description":"Is order completed?"},"apiMode":{"type":"string","description":"Order creation source (UI | API)","enum":["ui","api"]},"risk":{"type":"string","description":"Risk assessment"},"requisites":{"type":"string","description":"Order requisites"},"requisitesIn":{"type":"string","description":"Input requisites"},"requisitesOut":{"type":"string","description":"Output requisites"},"requisitesMemoTag":{"type":"string","description":"Memo tag (for XRP, TON etc.)"},"requisitesMemoTagIn":{"type":"string","description":"Input memo tag (for XRP, TON etc.)"},"requisitesMemoTagOut":{"type":"string","description":"Output memo tag (for XRP, TON etc.)"},"billingTag":{"type":"string","description":"Billing tag"},"requisitesQrCode":{"type":"string","description":"QR code link with requisites"},"assetInCode":{"type":"string","description":"Input asset"},"assetOutCode":{"type":"string","description":"Output asset"},"networkInCode":{"type":"string","description":"Input asset network"},"networkOutCode":{"type":"string","description":"Output asset network"},"balanceAfter":{"type":"string","description":"Balance after order completion"},"callbackUrl":{"type":"string","description":"Callback URL"},"invoicePublicUrl":{"type":"string","description":"Public invoice URL"},"txId":{"type":"string","description":"Transaction ID"},"expirationTime":{"format":"date-time","type":"string","description":"Pay until"},"isImPayed":{"type":"boolean","description":"Is paid immediately?"},"isBayerPaysService":{"type":"boolean","description":"Does buyer pay service commission for invoices?"},"serviceFeeCurrencyCode":{"type":"string","description":"Service fee payment currency"},"netFeeCurrencyCode":{"type":"string","description":"Network fee reimbursement currency"},"paymentTiming":{"type":"string","description":"Payment timing - on time or after due","enum":["onTime","afterDue"]},"amountValidity":{"type":"string","description":"Payment amount validity","enum":["less","valid","greater"]}},"required":["id","uid","createdAt","updatedAt","deletedAt","serviceCommission","netCommission","comment","publicComment","merchantUid","merchantName","merchantId","type","status","invoiceCurrencyCode","currencyInCode","currencyOutCode","invoiceAmount","amountInExpected","amountInFact","amountOutExpected","amountOutFact","hedgeRate","isDone","apiMode","risk","requisites","requisitesIn","requisitesOut","requisitesMemoTag","requisitesMemoTagIn","requisitesMemoTagOut","billingTag","requisitesQrCode","assetInCode","assetOutCode","networkInCode","networkOutCode","balanceAfter","callbackUrl","invoicePublicUrl","txId","expirationTime","isImPayed","isBayerPaysService","serviceFeeCurrencyCode","netFeeCurrencyCode","paymentTiming","amountValidity"]},"CustomBadRequestException":{"type":"object","properties":{"error":{"type":"string","description":"Error description"},"errorCode":{"type":"number","description":"Error code"}},"required":["errorCode"]},"CustomUnauthorizedException":{"type":"object","properties":{"error":{"type":"string","description":"Error description"},"errorCode":{"type":"number","description":"Error code"}},"required":["errorCode"]},"CustomForbiddenException":{"type":"object","properties":{"error":{"type":"string","description":"Error description"},"errorCode":{"type":"number","description":"Error code"}},"required":["errorCode"]},"CustomInternalErrorException":{"type":"object","properties":{"error":{"type":"string","description":"Error description"},"errorCode":{"type":"number","description":"Error code"}},"required":["errorCode"]}}}}
```

## Create fiat withdrawal

> &#x20;   The endpoint allows creating a request for fiat withdrawal for a merchant.\
> &#x20;   Main withdrawal parameters:\
> &#x20;   currency - currency\
> &#x20;   amount - amount\
> &#x20;   paymentMethod - withdrawal method,\
> &#x20;   providerOutAliasCode - withdrawal bank code\
> &#x20;   code - withdrawal method code\
> &#x20;   To get data on available methods, banks, limits, withdrawal codes, etc., refer to the API method fiat-withdraw-config.\
> &#x20;  &#x20;

```json
{"openapi":"3.0.0","info":{"title":"API Integration","version":"0.0.4.1-alpha"},"tags":[{"name":"api","description":""}],"paths":{"/api/v1/integration/orders/fiat-withdraw":{"post":{"operationId":"ApiOrderController_createFiatWithdraw","summary":"Create fiat withdrawal","description":"    The endpoint allows creating a request for fiat withdrawal for a merchant.\n    Main withdrawal parameters:\n    currency - currency\n    amount - amount\n    paymentMethod - withdrawal method,\n    providerOutAliasCode - withdrawal bank code\n    code - withdrawal method code\n    To get data on available methods, banks, limits, withdrawal codes, etc., refer to the API method fiat-withdraw-config.\n    ","parameters":[{"name":"x-api-key","in":"header","required":true,"schema":{"type":"string"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/FiatWithdrawDto"}}}},"responses":{"200":{"description":"Fiat withdrawal created successfully","content":{"application/json":{"schema":{"allOf":[{"$ref":"#/components/schemas/AResponseType"},{"properties":{"data":{"$ref":"#/components/schemas/OrderSerializer"}}}]}}}},"400":{"description":"Invalid request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CustomBadRequestException"}}}},"401":{"description":"Authentication required","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CustomUnauthorizedException"}}}},"403":{"description":"Insufficient permissions","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CustomForbiddenException"}}}},"500":{"description":"System error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CustomInternalErrorException"}}}}},"tags":["api"]}}},"components":{"schemas":{"FiatWithdrawDto":{"type":"object","properties":{"currency":{"type":"string","description":"Currency","enum":["RUB","USD","EUR","KZT","KGS","AZN","BYN","UZS"]},"paymentMethod":{"type":"string","description":"Payment method","enum":["card","phone","sbp","wallet"]},"providerOutAliasCode":{"type":"string","description":"Withdrawal bank code"},"code":{"type":"string","description":"Withdrawal method"},"amount":{"type":"string","description":"Output amount"},"comment":{"type":"string","description":"Transfer comment. Optional field"},"recipient":{"type":"string","description":"Recipient details"},"callbackUrl":{"type":"string","description":"Callback URL for sending hooks","minLength":5},"details":{"type":"object","description":"Additional fields for withdrawal"}},"required":["currency","paymentMethod","providerOutAliasCode","code","amount","recipient"]},"AResponseType":{"type":"object","properties":{"message":{"type":"string","description":"Status message"},"data":{"type":"object","description":"Data"},"count":{"type":"number","description":"Total number of items in the database"}},"required":["message"]},"OrderSerializer":{"type":"object","properties":{"id":{"type":"number","description":"Id"},"uid":{"type":"string","description":"UUID"},"createdAt":{"format":"date-time","type":"string","description":"Creation date"},"updatedAt":{"format":"date-time","type":"string","description":"Update date"},"deletedAt":{"format":"date-time","type":"string","description":"Deletion date"},"serviceCommission":{"type":"string","description":"Service commission"},"netCommission":{"type":"string","description":"Network commission"},"comment":{"type":"string","description":"Comment"},"publicComment":{"type":"string","description":"Public comment"},"merchantUid":{"type":"string","description":"Merchant UUID"},"merchantName":{"type":"string","description":"Merchant name"},"merchantId":{"type":"string","description":"Merchant ID"},"type":{"type":"string","description":"Order type","enum":["invoice","invoice-without-amount","exchange","withdraw","withdraw-with-exchange","currency-to-currency","deposit","account-transfer","account-deposit","ref-payment"]},"status":{"type":"string","description":"Order status","enum":["created","success","warning","failed","inProgress","invoiceWaitCreate","invoiceNotCreated","invoiceWaitRequisites","invoiceWaitPay","invoiceWaitConfirms","invoiceWaitCheck","invoiceNotPayed","invoiceCheckBlocked","transferBlocked","exchangeBlocked","withdrawBlocked"]},"invoiceCurrencyCode":{"type":"string","description":"Invoice currency"},"currencyInCode":{"type":"string","description":"Payment currency"},"currencyOutCode":{"type":"string","description":"Receiving currency"},"invoiceAmount":{"type":"string","description":"Invoice amount"},"amountInExpected":{"type":"string","description":"Expected payment amount"},"amountInFact":{"type":"string","description":"Actual payment amount"},"amountOutExpected":{"type":"string","description":"Expected receiving amount"},"amountOutFact":{"type":"string","description":"Actual receiving amount"},"hedgeRate":{"type":"string","description":"Hedging rate"},"isDone":{"type":"boolean","description":"Is order completed?"},"apiMode":{"type":"string","description":"Order creation source (UI | API)","enum":["ui","api"]},"risk":{"type":"string","description":"Risk assessment"},"requisites":{"type":"string","description":"Order requisites"},"requisitesIn":{"type":"string","description":"Input requisites"},"requisitesOut":{"type":"string","description":"Output requisites"},"requisitesMemoTag":{"type":"string","description":"Memo tag (for XRP, TON etc.)"},"requisitesMemoTagIn":{"type":"string","description":"Input memo tag (for XRP, TON etc.)"},"requisitesMemoTagOut":{"type":"string","description":"Output memo tag (for XRP, TON etc.)"},"billingTag":{"type":"string","description":"Billing tag"},"requisitesQrCode":{"type":"string","description":"QR code link with requisites"},"assetInCode":{"type":"string","description":"Input asset"},"assetOutCode":{"type":"string","description":"Output asset"},"networkInCode":{"type":"string","description":"Input asset network"},"networkOutCode":{"type":"string","description":"Output asset network"},"balanceAfter":{"type":"string","description":"Balance after order completion"},"callbackUrl":{"type":"string","description":"Callback URL"},"invoicePublicUrl":{"type":"string","description":"Public invoice URL"},"txId":{"type":"string","description":"Transaction ID"},"expirationTime":{"format":"date-time","type":"string","description":"Pay until"},"isImPayed":{"type":"boolean","description":"Is paid immediately?"},"isBayerPaysService":{"type":"boolean","description":"Does buyer pay service commission for invoices?"},"serviceFeeCurrencyCode":{"type":"string","description":"Service fee payment currency"},"netFeeCurrencyCode":{"type":"string","description":"Network fee reimbursement currency"},"paymentTiming":{"type":"string","description":"Payment timing - on time or after due","enum":["onTime","afterDue"]},"amountValidity":{"type":"string","description":"Payment amount validity","enum":["less","valid","greater"]}},"required":["id","uid","createdAt","updatedAt","deletedAt","serviceCommission","netCommission","comment","publicComment","merchantUid","merchantName","merchantId","type","status","invoiceCurrencyCode","currencyInCode","currencyOutCode","invoiceAmount","amountInExpected","amountInFact","amountOutExpected","amountOutFact","hedgeRate","isDone","apiMode","risk","requisites","requisitesIn","requisitesOut","requisitesMemoTag","requisitesMemoTagIn","requisitesMemoTagOut","billingTag","requisitesQrCode","assetInCode","assetOutCode","networkInCode","networkOutCode","balanceAfter","callbackUrl","invoicePublicUrl","txId","expirationTime","isImPayed","isBayerPaysService","serviceFeeCurrencyCode","netFeeCurrencyCode","paymentTiming","amountValidity"]},"CustomBadRequestException":{"type":"object","properties":{"error":{"type":"string","description":"Error description"},"errorCode":{"type":"number","description":"Error code"}},"required":["errorCode"]},"CustomUnauthorizedException":{"type":"object","properties":{"error":{"type":"string","description":"Error description"},"errorCode":{"type":"number","description":"Error code"}},"required":["errorCode"]},"CustomForbiddenException":{"type":"object","properties":{"error":{"type":"string","description":"Error description"},"errorCode":{"type":"number","description":"Error code"}},"required":["errorCode"]},"CustomInternalErrorException":{"type":"object","properties":{"error":{"type":"string","description":"Error description"},"errorCode":{"type":"number","description":"Error code"}},"required":["errorCode"]}}}}
```

> **Note:** As of May 2025, the available fiat currencies for withdrawal are: RUB, KZT, KGS, AZN, BYN, and UZS.\
> USD and EUR are currently disabled.

## POST /api/v1/integration/orders/{merchantUid}/estimate-fiat-out-with-exchange

> Estimate fiat withdrawal with exchange

```json
{"openapi":"3.0.0","info":{"title":"API Integration","version":"0.0.4.1-alpha"},"tags":[{"name":"api","description":""}],"paths":{"/api/v1/integration/orders/{merchantUid}/estimate-fiat-out-with-exchange":{"post":{"operationId":"ApiOrderController_estimateFiatOutWithExchange","summary":"Estimate fiat withdrawal with exchange","parameters":[{"name":"x-api-key","in":"header","required":true,"schema":{"type":"string"}},{"name":"merchantUid","required":true,"in":"path","schema":{"type":"string"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/EstimateInFiatWithdrawWithExchangeDto"}}}},"responses":{"200":{"description":"Successfully estimated withdrawal","content":{"application/json":{"schema":{"allOf":[{"$ref":"#/components/schemas/AResponseType"},{"properties":{"data":{"$ref":"#/components/schemas/EstimateFiatWithExchangeInSerializer"}}}]}}}},"400":{"description":"Invalid request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CustomBadRequestException"}}}},"401":{"description":"Authentication required","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CustomUnauthorizedException"}}}},"403":{"description":"Insufficient permissions","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CustomForbiddenException"}}}},"500":{"description":"System error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CustomInternalErrorException"}}}}},"tags":["api"]}}},"components":{"schemas":{"EstimateInFiatWithdrawWithExchangeDto":{"type":"object","properties":{"settingsCode":{"type":"string","description":"Withdrawal method code"},"amountOut":{"type":"string","description":"Output amount"}},"required":["amountOut"]},"AResponseType":{"type":"object","properties":{"message":{"type":"string","description":"Status message"},"data":{"type":"object","description":"Data"},"count":{"type":"number","description":"Total number of items in the database"}},"required":["message"]},"EstimateFiatWithExchangeInSerializer":{"type":"object","properties":{"currencyInCode":{"type":"string","description":"Input currency","enum":["RUB","USD","EUR","KZT","KGS","AZN","BYN","UZS"]},"currencyOutCode":{"type":"string","description":"Output currency","enum":["RUB","USD","EUR","KZT","KGS","AZN","BYN","UZS"]},"amountIn":{"type":"string","description":"Input amount"},"amountOut":{"type":"string","description":"Output amount"},"rate":{"type":"string","description":"Rate"},"fee":{"type":"string","description":"Fee"}},"required":["currencyInCode","currencyOutCode","amountIn","amountOut","rate","fee"]},"CustomBadRequestException":{"type":"object","properties":{"error":{"type":"string","description":"Error description"},"errorCode":{"type":"number","description":"Error code"}},"required":["errorCode"]},"CustomUnauthorizedException":{"type":"object","properties":{"error":{"type":"string","description":"Error description"},"errorCode":{"type":"number","description":"Error code"}},"required":["errorCode"]},"CustomForbiddenException":{"type":"object","properties":{"error":{"type":"string","description":"Error description"},"errorCode":{"type":"number","description":"Error code"}},"required":["errorCode"]},"CustomInternalErrorException":{"type":"object","properties":{"error":{"type":"string","description":"Error description"},"errorCode":{"type":"number","description":"Error code"}},"required":["errorCode"]}}}}
```

## Create exchange

> Conversion of amountIn in assetCodeIn currency to assetCodeOut currency.

```json
{"openapi":"3.0.0","info":{"title":"API Integration","version":"0.0.4.1-alpha"},"tags":[{"name":"api","description":""}],"paths":{"/api/v1/integration/orders/exchange":{"post":{"operationId":"ApiOrderController_createExchange","summary":"Create exchange","description":"Conversion of amountIn in assetCodeIn currency to assetCodeOut currency.","parameters":[{"name":"x-api-key","in":"header","required":true,"schema":{"type":"string"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ExchangeDto"}}}},"responses":{"200":{"description":"Exchange created successfully","content":{"application/json":{"schema":{"allOf":[{"$ref":"#/components/schemas/AResponseType"},{"properties":{"data":{"$ref":"#/components/schemas/OrderSerializer"}}}]}}}},"400":{"description":"Invalid request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CustomBadRequestException"}}}},"401":{"description":"Authentication required","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CustomUnauthorizedException"}}}},"403":{"description":"Insufficient permissions","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CustomForbiddenException"}}}},"500":{"description":"System error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CustomInternalErrorException"}}}}},"tags":["api"]}}},"components":{"schemas":{"ExchangeDto":{"type":"object","properties":{"assetCodeIn":{"type":"string","description":"Input asset for exchange"},"amountIn":{"type":"number","description":"Exchange amount"},"assetCodeOut":{"type":"string","description":"Output asset"},"amountOut":{"type":"number","description":"Expected amount"},"comment":{"type":"string","description":"Exchange comment. Optional field"},"exchangePriority":{"type":"string","description":"Exchange priority (default \"in\")"}},"required":["assetCodeIn","amountIn","assetCodeOut","amountOut"]},"AResponseType":{"type":"object","properties":{"message":{"type":"string","description":"Status message"},"data":{"type":"object","description":"Data"},"count":{"type":"number","description":"Total number of items in the database"}},"required":["message"]},"OrderSerializer":{"type":"object","properties":{"id":{"type":"number","description":"Id"},"uid":{"type":"string","description":"UUID"},"createdAt":{"format":"date-time","type":"string","description":"Creation date"},"updatedAt":{"format":"date-time","type":"string","description":"Update date"},"deletedAt":{"format":"date-time","type":"string","description":"Deletion date"},"serviceCommission":{"type":"string","description":"Service commission"},"netCommission":{"type":"string","description":"Network commission"},"comment":{"type":"string","description":"Comment"},"publicComment":{"type":"string","description":"Public comment"},"merchantUid":{"type":"string","description":"Merchant UUID"},"merchantName":{"type":"string","description":"Merchant name"},"merchantId":{"type":"string","description":"Merchant ID"},"type":{"type":"string","description":"Order type","enum":["invoice","invoice-without-amount","exchange","withdraw","withdraw-with-exchange","currency-to-currency","deposit","account-transfer","account-deposit","ref-payment"]},"status":{"type":"string","description":"Order status","enum":["created","success","warning","failed","inProgress","invoiceWaitCreate","invoiceNotCreated","invoiceWaitRequisites","invoiceWaitPay","invoiceWaitConfirms","invoiceWaitCheck","invoiceNotPayed","invoiceCheckBlocked","transferBlocked","exchangeBlocked","withdrawBlocked"]},"invoiceCurrencyCode":{"type":"string","description":"Invoice currency"},"currencyInCode":{"type":"string","description":"Payment currency"},"currencyOutCode":{"type":"string","description":"Receiving currency"},"invoiceAmount":{"type":"string","description":"Invoice amount"},"amountInExpected":{"type":"string","description":"Expected payment amount"},"amountInFact":{"type":"string","description":"Actual payment amount"},"amountOutExpected":{"type":"string","description":"Expected receiving amount"},"amountOutFact":{"type":"string","description":"Actual receiving amount"},"hedgeRate":{"type":"string","description":"Hedging rate"},"isDone":{"type":"boolean","description":"Is order completed?"},"apiMode":{"type":"string","description":"Order creation source (UI | API)","enum":["ui","api"]},"risk":{"type":"string","description":"Risk assessment"},"requisites":{"type":"string","description":"Order requisites"},"requisitesIn":{"type":"string","description":"Input requisites"},"requisitesOut":{"type":"string","description":"Output requisites"},"requisitesMemoTag":{"type":"string","description":"Memo tag (for XRP, TON etc.)"},"requisitesMemoTagIn":{"type":"string","description":"Input memo tag (for XRP, TON etc.)"},"requisitesMemoTagOut":{"type":"string","description":"Output memo tag (for XRP, TON etc.)"},"billingTag":{"type":"string","description":"Billing tag"},"requisitesQrCode":{"type":"string","description":"QR code link with requisites"},"assetInCode":{"type":"string","description":"Input asset"},"assetOutCode":{"type":"string","description":"Output asset"},"networkInCode":{"type":"string","description":"Input asset network"},"networkOutCode":{"type":"string","description":"Output asset network"},"balanceAfter":{"type":"string","description":"Balance after order completion"},"callbackUrl":{"type":"string","description":"Callback URL"},"invoicePublicUrl":{"type":"string","description":"Public invoice URL"},"txId":{"type":"string","description":"Transaction ID"},"expirationTime":{"format":"date-time","type":"string","description":"Pay until"},"isImPayed":{"type":"boolean","description":"Is paid immediately?"},"isBayerPaysService":{"type":"boolean","description":"Does buyer pay service commission for invoices?"},"serviceFeeCurrencyCode":{"type":"string","description":"Service fee payment currency"},"netFeeCurrencyCode":{"type":"string","description":"Network fee reimbursement currency"},"paymentTiming":{"type":"string","description":"Payment timing - on time or after due","enum":["onTime","afterDue"]},"amountValidity":{"type":"string","description":"Payment amount validity","enum":["less","valid","greater"]}},"required":["id","uid","createdAt","updatedAt","deletedAt","serviceCommission","netCommission","comment","publicComment","merchantUid","merchantName","merchantId","type","status","invoiceCurrencyCode","currencyInCode","currencyOutCode","invoiceAmount","amountInExpected","amountInFact","amountOutExpected","amountOutFact","hedgeRate","isDone","apiMode","risk","requisites","requisitesIn","requisitesOut","requisitesMemoTag","requisitesMemoTagIn","requisitesMemoTagOut","billingTag","requisitesQrCode","assetInCode","assetOutCode","networkInCode","networkOutCode","balanceAfter","callbackUrl","invoicePublicUrl","txId","expirationTime","isImPayed","isBayerPaysService","serviceFeeCurrencyCode","netFeeCurrencyCode","paymentTiming","amountValidity"]},"CustomBadRequestException":{"type":"object","properties":{"error":{"type":"string","description":"Error description"},"errorCode":{"type":"number","description":"Error code"}},"required":["errorCode"]},"CustomUnauthorizedException":{"type":"object","properties":{"error":{"type":"string","description":"Error description"},"errorCode":{"type":"number","description":"Error code"}},"required":["errorCode"]},"CustomForbiddenException":{"type":"object","properties":{"error":{"type":"string","description":"Error description"},"errorCode":{"type":"number","description":"Error code"}},"required":["errorCode"]},"CustomInternalErrorException":{"type":"object","properties":{"error":{"type":"string","description":"Error description"},"errorCode":{"type":"number","description":"Error code"}},"required":["errorCode"]}}}}
```

## Create account transfer

> Transfer funds to another account within the system.

```json
{"openapi":"3.0.0","info":{"title":"API Integration","version":"0.0.4.1-alpha"},"tags":[{"name":"api","description":""}],"paths":{"/api/v1/integration/orders/account-transfer":{"post":{"operationId":"ApiOrderController_createAccountTransfer","summary":"Create account transfer","description":"Transfer funds to another account within the system.","parameters":[{"name":"x-api-key","in":"header","required":true,"schema":{"type":"string"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/AccountTransferDto"}}}},"responses":{"200":{"description":"Transfer created successfully","content":{"application/json":{"schema":{"allOf":[{"$ref":"#/components/schemas/AResponseType"},{"properties":{"data":{"$ref":"#/components/schemas/OrderSerializer"}}}]}}}},"400":{"description":"Invalid request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CustomBadRequestException"}}}},"401":{"description":"Authentication required","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CustomUnauthorizedException"}}}},"403":{"description":"Insufficient permissions","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CustomForbiddenException"}}}},"500":{"description":"System error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CustomInternalErrorException"}}}}},"tags":["api"]}}},"components":{"schemas":{"AccountTransferDto":{"type":"object","properties":{"amount":{"type":"number","description":"Transfer amount"},"assetCode":{"type":"string","description":"Sending asset"},"recipientId":{"type":"number","description":"Recipient (merchant ID)"},"comment":{"type":"string","description":"Transfer comment. Optional field"}},"required":["amount","assetCode","recipientId"]},"AResponseType":{"type":"object","properties":{"message":{"type":"string","description":"Status message"},"data":{"type":"object","description":"Data"},"count":{"type":"number","description":"Total number of items in the database"}},"required":["message"]},"OrderSerializer":{"type":"object","properties":{"id":{"type":"number","description":"Id"},"uid":{"type":"string","description":"UUID"},"createdAt":{"format":"date-time","type":"string","description":"Creation date"},"updatedAt":{"format":"date-time","type":"string","description":"Update date"},"deletedAt":{"format":"date-time","type":"string","description":"Deletion date"},"serviceCommission":{"type":"string","description":"Service commission"},"netCommission":{"type":"string","description":"Network commission"},"comment":{"type":"string","description":"Comment"},"publicComment":{"type":"string","description":"Public comment"},"merchantUid":{"type":"string","description":"Merchant UUID"},"merchantName":{"type":"string","description":"Merchant name"},"merchantId":{"type":"string","description":"Merchant ID"},"type":{"type":"string","description":"Order type","enum":["invoice","invoice-without-amount","exchange","withdraw","withdraw-with-exchange","currency-to-currency","deposit","account-transfer","account-deposit","ref-payment"]},"status":{"type":"string","description":"Order status","enum":["created","success","warning","failed","inProgress","invoiceWaitCreate","invoiceNotCreated","invoiceWaitRequisites","invoiceWaitPay","invoiceWaitConfirms","invoiceWaitCheck","invoiceNotPayed","invoiceCheckBlocked","transferBlocked","exchangeBlocked","withdrawBlocked"]},"invoiceCurrencyCode":{"type":"string","description":"Invoice currency"},"currencyInCode":{"type":"string","description":"Payment currency"},"currencyOutCode":{"type":"string","description":"Receiving currency"},"invoiceAmount":{"type":"string","description":"Invoice amount"},"amountInExpected":{"type":"string","description":"Expected payment amount"},"amountInFact":{"type":"string","description":"Actual payment amount"},"amountOutExpected":{"type":"string","description":"Expected receiving amount"},"amountOutFact":{"type":"string","description":"Actual receiving amount"},"hedgeRate":{"type":"string","description":"Hedging rate"},"isDone":{"type":"boolean","description":"Is order completed?"},"apiMode":{"type":"string","description":"Order creation source (UI | API)","enum":["ui","api"]},"risk":{"type":"string","description":"Risk assessment"},"requisites":{"type":"string","description":"Order requisites"},"requisitesIn":{"type":"string","description":"Input requisites"},"requisitesOut":{"type":"string","description":"Output requisites"},"requisitesMemoTag":{"type":"string","description":"Memo tag (for XRP, TON etc.)"},"requisitesMemoTagIn":{"type":"string","description":"Input memo tag (for XRP, TON etc.)"},"requisitesMemoTagOut":{"type":"string","description":"Output memo tag (for XRP, TON etc.)"},"billingTag":{"type":"string","description":"Billing tag"},"requisitesQrCode":{"type":"string","description":"QR code link with requisites"},"assetInCode":{"type":"string","description":"Input asset"},"assetOutCode":{"type":"string","description":"Output asset"},"networkInCode":{"type":"string","description":"Input asset network"},"networkOutCode":{"type":"string","description":"Output asset network"},"balanceAfter":{"type":"string","description":"Balance after order completion"},"callbackUrl":{"type":"string","description":"Callback URL"},"invoicePublicUrl":{"type":"string","description":"Public invoice URL"},"txId":{"type":"string","description":"Transaction ID"},"expirationTime":{"format":"date-time","type":"string","description":"Pay until"},"isImPayed":{"type":"boolean","description":"Is paid immediately?"},"isBayerPaysService":{"type":"boolean","description":"Does buyer pay service commission for invoices?"},"serviceFeeCurrencyCode":{"type":"string","description":"Service fee payment currency"},"netFeeCurrencyCode":{"type":"string","description":"Network fee reimbursement currency"},"paymentTiming":{"type":"string","description":"Payment timing - on time or after due","enum":["onTime","afterDue"]},"amountValidity":{"type":"string","description":"Payment amount validity","enum":["less","valid","greater"]}},"required":["id","uid","createdAt","updatedAt","deletedAt","serviceCommission","netCommission","comment","publicComment","merchantUid","merchantName","merchantId","type","status","invoiceCurrencyCode","currencyInCode","currencyOutCode","invoiceAmount","amountInExpected","amountInFact","amountOutExpected","amountOutFact","hedgeRate","isDone","apiMode","risk","requisites","requisitesIn","requisitesOut","requisitesMemoTag","requisitesMemoTagIn","requisitesMemoTagOut","billingTag","requisitesQrCode","assetInCode","assetOutCode","networkInCode","networkOutCode","balanceAfter","callbackUrl","invoicePublicUrl","txId","expirationTime","isImPayed","isBayerPaysService","serviceFeeCurrencyCode","netFeeCurrencyCode","paymentTiming","amountValidity"]},"CustomBadRequestException":{"type":"object","properties":{"error":{"type":"string","description":"Error description"},"errorCode":{"type":"number","description":"Error code"}},"required":["errorCode"]},"CustomUnauthorizedException":{"type":"object","properties":{"error":{"type":"string","description":"Error description"},"errorCode":{"type":"number","description":"Error code"}},"required":["errorCode"]},"CustomForbiddenException":{"type":"object","properties":{"error":{"type":"string","description":"Error description"},"errorCode":{"type":"number","description":"Error code"}},"required":["errorCode"]},"CustomInternalErrorException":{"type":"object","properties":{"error":{"type":"string","description":"Error description"},"errorCode":{"type":"number","description":"Error code"}},"required":["errorCode"]}}}}
```

## Estimate input

> &#x20;     The method is intended to estimate the amount that needs to be paid in fromCurrencyCode \
> &#x20;     to receive the amountTo in toCurrencyCode (taking into account the exchange rate and commission).\
> &#x20;  &#x20;

```json
{"openapi":"3.0.0","info":{"title":"API Integration","version":"0.0.4.1-alpha"},"tags":[{"name":"api","description":""}],"paths":{"/api/v1/integration/orders/estimate-in":{"post":{"operationId":"ApiOrderController_estimateIn","summary":"Estimate input","description":"      The method is intended to estimate the amount that needs to be paid in fromCurrencyCode \n      to receive the amountTo in toCurrencyCode (taking into account the exchange rate and commission).\n    ","parameters":[{"name":"x-api-key","in":"header","required":true,"schema":{"type":"string"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/EstimateInDto"}}}},"responses":{"200":{"description":"Successfully estimated input","content":{"application/json":{"schema":{"allOf":[{"$ref":"#/components/schemas/AResponseType"},{"properties":{"data":{"$ref":"#/components/schemas/EstimationSerializer"}}}]}}}},"400":{"description":"Invalid request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CustomBadRequestException"}}}},"401":{"description":"Authentication required","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CustomUnauthorizedException"}}}},"403":{"description":"Insufficient permissions","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CustomForbiddenException"}}}},"500":{"description":"System error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CustomInternalErrorException"}}}}},"tags":["api"]}}},"components":{"schemas":{"EstimateInDto":{"type":"object","properties":{"fromCurrencyCode":{"type":"string","description":"Input currency"},"toCurrencyCode":{"type":"string","description":"Output currency"},"amountTo":{"type":"number","description":"Output amount"}},"required":["toCurrencyCode","amountTo"]},"AResponseType":{"type":"object","properties":{"message":{"type":"string","description":"Status message"},"data":{"type":"object","description":"Data"},"count":{"type":"number","description":"Total number of items in the database"}},"required":["message"]},"EstimationSerializer":{"type":"object","properties":{"currencyCode":{"type":"string","description":"Currency code"},"assetCode":{"type":"string","description":"Asset code"},"amount":{"type":"string","description":"Amount"}},"required":["currencyCode","assetCode","amount"]},"CustomBadRequestException":{"type":"object","properties":{"error":{"type":"string","description":"Error description"},"errorCode":{"type":"number","description":"Error code"}},"required":["errorCode"]},"CustomUnauthorizedException":{"type":"object","properties":{"error":{"type":"string","description":"Error description"},"errorCode":{"type":"number","description":"Error code"}},"required":["errorCode"]},"CustomForbiddenException":{"type":"object","properties":{"error":{"type":"string","description":"Error description"},"errorCode":{"type":"number","description":"Error code"}},"required":["errorCode"]},"CustomInternalErrorException":{"type":"object","properties":{"error":{"type":"string","description":"Error description"},"errorCode":{"type":"number","description":"Error code"}},"required":["errorCode"]}}}}
```

## Estimate output amount

> &#x20;     This method is designed to estimate the amount that will be received in the toCurrencyCode \
> &#x20;     when paying the amountFrom in the fromCurrencyCode (including exchange rate and fees).\
> &#x20;  &#x20;

```json
{"openapi":"3.0.0","info":{"title":"API Integration","version":"0.0.4.1-alpha"},"tags":[{"name":"api","description":""}],"paths":{"/api/v1/integration/orders/estimate-out":{"post":{"operationId":"ApiOrderController_estimateOut","summary":"Estimate output amount","description":"      This method is designed to estimate the amount that will be received in the toCurrencyCode \n      when paying the amountFrom in the fromCurrencyCode (including exchange rate and fees).\n    ","parameters":[{"name":"x-api-key","in":"header","required":true,"schema":{"type":"string"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/EstimateOutDto"}}}},"responses":{"200":{"description":"Successful output estimation","content":{"application/json":{"schema":{"allOf":[{"$ref":"#/components/schemas/AResponseType"},{"properties":{"data":{"$ref":"#/components/schemas/EstimationSerializer"}}}]}}}},"400":{"description":"Invalid request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CustomBadRequestException"}}}},"401":{"description":"Authorization required","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CustomUnauthorizedException"}}}},"403":{"description":"Insufficient permissions","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CustomForbiddenException"}}}},"500":{"description":"System error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CustomInternalErrorException"}}}}},"tags":["api"]}}},"components":{"schemas":{"EstimateOutDto":{"type":"object","properties":{"toCurrencyCode":{"type":"string","description":"Output currency"},"fromCurrencyCode":{"type":"string","description":"Sending currency"},"amountFrom":{"type":"number","description":"Sending amount"}},"required":["toCurrencyCode","fromCurrencyCode","amountFrom"]},"AResponseType":{"type":"object","properties":{"message":{"type":"string","description":"Status message"},"data":{"type":"object","description":"Data"},"count":{"type":"number","description":"Total number of items in the database"}},"required":["message"]},"EstimationSerializer":{"type":"object","properties":{"currencyCode":{"type":"string","description":"Currency code"},"assetCode":{"type":"string","description":"Asset code"},"amount":{"type":"string","description":"Amount"}},"required":["currencyCode","assetCode","amount"]},"CustomBadRequestException":{"type":"object","properties":{"error":{"type":"string","description":"Error description"},"errorCode":{"type":"number","description":"Error code"}},"required":["errorCode"]},"CustomUnauthorizedException":{"type":"object","properties":{"error":{"type":"string","description":"Error description"},"errorCode":{"type":"number","description":"Error code"}},"required":["errorCode"]},"CustomForbiddenException":{"type":"object","properties":{"error":{"type":"string","description":"Error description"},"errorCode":{"type":"number","description":"Error code"}},"required":["errorCode"]},"CustomInternalErrorException":{"type":"object","properties":{"error":{"type":"string","description":"Error description"},"errorCode":{"type":"number","description":"Error code"}},"required":["errorCode"]}}}}
```

## Create invoice without amount

> Create an invoice without specifying the payment amount. The invoice is generated in the currency defined by invoiceAssetCode. Payment is made in the currency specified in the currencyInCode parameter. If left empty, the customer will be offered a list of available payment currencies.

```json
{"openapi":"3.0.0","info":{"title":"API Integration","version":"0.0.4.1-alpha"},"tags":[{"name":"api","description":""}],"paths":{"/api/v1/integration/orders/invoice/without-amount":{"post":{"operationId":"ApiOrderController_createFreeAmountInvoice","summary":"Create invoice without amount","description":"Create an invoice without specifying the payment amount. The invoice is generated in the currency defined by invoiceAssetCode. Payment is made in the currency specified in the currencyInCode parameter. If left empty, the customer will be offered a list of available payment currencies.","parameters":[{"name":"x-api-key","in":"header","required":true,"schema":{"type":"string"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/WithoutAmountInvoiceDto"}}}},"responses":{"200":{"description":"Successfully created invoice without amount","content":{"application/json":{"schema":{"allOf":[{"$ref":"#/components/schemas/AResponseType"},{"properties":{"data":{"$ref":"#/components/schemas/OrderSerializer"}}}]}}}},"400":{"description":"Invalid request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CustomBadRequestException"}}}},"401":{"description":"Authorization required","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CustomUnauthorizedException"}}}},"403":{"description":"Insufficient permissions","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CustomForbiddenException"}}}},"500":{"description":"System error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CustomInternalErrorException"}}}}},"tags":["api"]}}},"components":{"schemas":{"WithoutAmountInvoiceDto":{"type":"object","properties":{"currencyInCode":{"type":"string","description":"Currency selected by the buyer for payment"},"invoiceAssetCode":{"type":"string","description":"Asset in which the invoice is issued to the buyer"},"comment":{"type":"string","description":"Order comment. Optional field","minLength":5},"publicComment":{"type":"string","description":"Public order comment. Optional field","minLength":5},"callbackUrl":{"type":"string","description":"Callback URL for sending hooks","minLength":5},"redirectUrl":{"type":"string","description":"URL to redirect the buyer after payment","minLength":5},"isBayerPaysService":{"type":"boolean","description":"Include the service fee in the buyer's invoice (if not specified, taken from merchant settings)"},"isAwaitRequisites":{"type":"boolean","description":"Wait for payment requisites in the response (default false)"},"expiryDurationMinutes":{"type":"number","description":"Invoice lifetime in minutes (default 20)"},"invoiceTpl":{"type":"object","description":"Payment form layout template","nullable":true}},"required":["invoiceAssetCode"]},"AResponseType":{"type":"object","properties":{"message":{"type":"string","description":"Status message"},"data":{"type":"object","description":"Data"},"count":{"type":"number","description":"Total number of items in the database"}},"required":["message"]},"OrderSerializer":{"type":"object","properties":{"id":{"type":"number","description":"Id"},"uid":{"type":"string","description":"UUID"},"createdAt":{"format":"date-time","type":"string","description":"Creation date"},"updatedAt":{"format":"date-time","type":"string","description":"Update date"},"deletedAt":{"format":"date-time","type":"string","description":"Deletion date"},"serviceCommission":{"type":"string","description":"Service commission"},"netCommission":{"type":"string","description":"Network commission"},"comment":{"type":"string","description":"Comment"},"publicComment":{"type":"string","description":"Public comment"},"merchantUid":{"type":"string","description":"Merchant UUID"},"merchantName":{"type":"string","description":"Merchant name"},"merchantId":{"type":"string","description":"Merchant ID"},"type":{"type":"string","description":"Order type","enum":["invoice","invoice-without-amount","exchange","withdraw","withdraw-with-exchange","currency-to-currency","deposit","account-transfer","account-deposit","ref-payment"]},"status":{"type":"string","description":"Order status","enum":["created","success","warning","failed","inProgress","invoiceWaitCreate","invoiceNotCreated","invoiceWaitRequisites","invoiceWaitPay","invoiceWaitConfirms","invoiceWaitCheck","invoiceNotPayed","invoiceCheckBlocked","transferBlocked","exchangeBlocked","withdrawBlocked"]},"invoiceCurrencyCode":{"type":"string","description":"Invoice currency"},"currencyInCode":{"type":"string","description":"Payment currency"},"currencyOutCode":{"type":"string","description":"Receiving currency"},"invoiceAmount":{"type":"string","description":"Invoice amount"},"amountInExpected":{"type":"string","description":"Expected payment amount"},"amountInFact":{"type":"string","description":"Actual payment amount"},"amountOutExpected":{"type":"string","description":"Expected receiving amount"},"amountOutFact":{"type":"string","description":"Actual receiving amount"},"hedgeRate":{"type":"string","description":"Hedging rate"},"isDone":{"type":"boolean","description":"Is order completed?"},"apiMode":{"type":"string","description":"Order creation source (UI | API)","enum":["ui","api"]},"risk":{"type":"string","description":"Risk assessment"},"requisites":{"type":"string","description":"Order requisites"},"requisitesIn":{"type":"string","description":"Input requisites"},"requisitesOut":{"type":"string","description":"Output requisites"},"requisitesMemoTag":{"type":"string","description":"Memo tag (for XRP, TON etc.)"},"requisitesMemoTagIn":{"type":"string","description":"Input memo tag (for XRP, TON etc.)"},"requisitesMemoTagOut":{"type":"string","description":"Output memo tag (for XRP, TON etc.)"},"billingTag":{"type":"string","description":"Billing tag"},"requisitesQrCode":{"type":"string","description":"QR code link with requisites"},"assetInCode":{"type":"string","description":"Input asset"},"assetOutCode":{"type":"string","description":"Output asset"},"networkInCode":{"type":"string","description":"Input asset network"},"networkOutCode":{"type":"string","description":"Output asset network"},"balanceAfter":{"type":"string","description":"Balance after order completion"},"callbackUrl":{"type":"string","description":"Callback URL"},"invoicePublicUrl":{"type":"string","description":"Public invoice URL"},"txId":{"type":"string","description":"Transaction ID"},"expirationTime":{"format":"date-time","type":"string","description":"Pay until"},"isImPayed":{"type":"boolean","description":"Is paid immediately?"},"isBayerPaysService":{"type":"boolean","description":"Does buyer pay service commission for invoices?"},"serviceFeeCurrencyCode":{"type":"string","description":"Service fee payment currency"},"netFeeCurrencyCode":{"type":"string","description":"Network fee reimbursement currency"},"paymentTiming":{"type":"string","description":"Payment timing - on time or after due","enum":["onTime","afterDue"]},"amountValidity":{"type":"string","description":"Payment amount validity","enum":["less","valid","greater"]}},"required":["id","uid","createdAt","updatedAt","deletedAt","serviceCommission","netCommission","comment","publicComment","merchantUid","merchantName","merchantId","type","status","invoiceCurrencyCode","currencyInCode","currencyOutCode","invoiceAmount","amountInExpected","amountInFact","amountOutExpected","amountOutFact","hedgeRate","isDone","apiMode","risk","requisites","requisitesIn","requisitesOut","requisitesMemoTag","requisitesMemoTagIn","requisitesMemoTagOut","billingTag","requisitesQrCode","assetInCode","assetOutCode","networkInCode","networkOutCode","balanceAfter","callbackUrl","invoicePublicUrl","txId","expirationTime","isImPayed","isBayerPaysService","serviceFeeCurrencyCode","netFeeCurrencyCode","paymentTiming","amountValidity"]},"CustomBadRequestException":{"type":"object","properties":{"error":{"type":"string","description":"Error description"},"errorCode":{"type":"number","description":"Error code"}},"required":["errorCode"]},"CustomUnauthorizedException":{"type":"object","properties":{"error":{"type":"string","description":"Error description"},"errorCode":{"type":"number","description":"Error code"}},"required":["errorCode"]},"CustomForbiddenException":{"type":"object","properties":{"error":{"type":"string","description":"Error description"},"errorCode":{"type":"number","description":"Error code"}},"required":["errorCode"]},"CustomInternalErrorException":{"type":"object","properties":{"error":{"type":"string","description":"Error description"},"errorCode":{"type":"number","description":"Error code"}},"required":["errorCode"]}}}}
```

## Create Currency -> Currency order (bridge)

> &#x20;     Request for currency conversion and transfer between different networks.\
> &#x20;     The process includes three stages: Receive -> Exchange -> Withdraw.\
> &#x20;     For example, when transferring USDTERC20 to BNBBEP20:\
> &#x20;       1\. An address is provided to deposit USDTERC20 (fromCurrencyCode) on the Ethereum network\
> &#x20;       2\. The received funds are converted to BNB\
> &#x20;       3\. BNB is withdrawn as BNBBEP20 (toCurrencyCode) to the specified address (recipient) on the Binance Smart Chain\
> &#x20;     \
> &#x20;     Important: The transfer amount (amount) is specified in toCurrencyCode.\
> &#x20;    \
> &#x20;     Tip: To estimate the fromCurrencyCode amount, you can use the "orders/estimate-in" method.   &#x20;

```json
{"openapi":"3.0.0","info":{"title":"API Integration","version":"0.0.4.1-alpha"},"tags":[{"name":"api","description":""}],"paths":{"/api/v1/integration/orders/currency-to-currency":{"post":{"operationId":"ApiOrderController_createCurrencyToCurrencyOrder","summary":"Create Currency -> Currency order (bridge)","description":"      Request for currency conversion and transfer between different networks.\n      The process includes three stages: Receive -> Exchange -> Withdraw.\n      For example, when transferring USDTERC20 to BNBBEP20:\n        1. An address is provided to deposit USDTERC20 (fromCurrencyCode) on the Ethereum network\n        2. The received funds are converted to BNB\n        3. BNB is withdrawn as BNBBEP20 (toCurrencyCode) to the specified address (recipient) on the Binance Smart Chain\n      \n      Important: The transfer amount (amount) is specified in toCurrencyCode.\n     \n      Tip: To estimate the fromCurrencyCode amount, you can use the \"orders/estimate-in\" method.    ","parameters":[{"name":"x-api-key","in":"header","required":true,"schema":{"type":"string"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CurrencyToCurrencyDto"}}}},"responses":{"200":{"description":"Successfully created CTC order","content":{"application/json":{"schema":{"allOf":[{"$ref":"#/components/schemas/AResponseType"},{"properties":{"data":{"$ref":"#/components/schemas/OrderSerializer"}}}]}}}},"400":{"description":"Invalid request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CustomBadRequestException"}}}},"401":{"description":"Authorization required","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CustomUnauthorizedException"}}}},"403":{"description":"Insufficient permissions","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CustomForbiddenException"}}}},"500":{"description":"System error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CustomInternalErrorException"}}}}},"tags":["api"]}}},"components":{"schemas":{"CurrencyToCurrencyDto":{"type":"object","properties":{"amount":{"type":"string","description":"Output amount"},"toCurrencyCode":{"type":"string","description":"Receiving currency (with network)"},"recipient":{"type":"string","description":"Recipient (address)"},"requisitesMemoTag":{"type":"string","description":"Memo tag (for XRP, TON, etc.)"},"callbackUrl":{"type":"string","description":"Callback URL for sending hooks","minLength":5},"comment":{"type":"string","description":"Transfer comment. Optional field"},"details":{"type":"object","description":"Details for fiat withdrawals"},"fromCurrencyCode":{"type":"string","description":"Input currency"}},"required":["amount","toCurrencyCode","recipient","fromCurrencyCode"]},"AResponseType":{"type":"object","properties":{"message":{"type":"string","description":"Status message"},"data":{"type":"object","description":"Data"},"count":{"type":"number","description":"Total number of items in the database"}},"required":["message"]},"OrderSerializer":{"type":"object","properties":{"id":{"type":"number","description":"Id"},"uid":{"type":"string","description":"UUID"},"createdAt":{"format":"date-time","type":"string","description":"Creation date"},"updatedAt":{"format":"date-time","type":"string","description":"Update date"},"deletedAt":{"format":"date-time","type":"string","description":"Deletion date"},"serviceCommission":{"type":"string","description":"Service commission"},"netCommission":{"type":"string","description":"Network commission"},"comment":{"type":"string","description":"Comment"},"publicComment":{"type":"string","description":"Public comment"},"merchantUid":{"type":"string","description":"Merchant UUID"},"merchantName":{"type":"string","description":"Merchant name"},"merchantId":{"type":"string","description":"Merchant ID"},"type":{"type":"string","description":"Order type","enum":["invoice","invoice-without-amount","exchange","withdraw","withdraw-with-exchange","currency-to-currency","deposit","account-transfer","account-deposit","ref-payment"]},"status":{"type":"string","description":"Order status","enum":["created","success","warning","failed","inProgress","invoiceWaitCreate","invoiceNotCreated","invoiceWaitRequisites","invoiceWaitPay","invoiceWaitConfirms","invoiceWaitCheck","invoiceNotPayed","invoiceCheckBlocked","transferBlocked","exchangeBlocked","withdrawBlocked"]},"invoiceCurrencyCode":{"type":"string","description":"Invoice currency"},"currencyInCode":{"type":"string","description":"Payment currency"},"currencyOutCode":{"type":"string","description":"Receiving currency"},"invoiceAmount":{"type":"string","description":"Invoice amount"},"amountInExpected":{"type":"string","description":"Expected payment amount"},"amountInFact":{"type":"string","description":"Actual payment amount"},"amountOutExpected":{"type":"string","description":"Expected receiving amount"},"amountOutFact":{"type":"string","description":"Actual receiving amount"},"hedgeRate":{"type":"string","description":"Hedging rate"},"isDone":{"type":"boolean","description":"Is order completed?"},"apiMode":{"type":"string","description":"Order creation source (UI | API)","enum":["ui","api"]},"risk":{"type":"string","description":"Risk assessment"},"requisites":{"type":"string","description":"Order requisites"},"requisitesIn":{"type":"string","description":"Input requisites"},"requisitesOut":{"type":"string","description":"Output requisites"},"requisitesMemoTag":{"type":"string","description":"Memo tag (for XRP, TON etc.)"},"requisitesMemoTagIn":{"type":"string","description":"Input memo tag (for XRP, TON etc.)"},"requisitesMemoTagOut":{"type":"string","description":"Output memo tag (for XRP, TON etc.)"},"billingTag":{"type":"string","description":"Billing tag"},"requisitesQrCode":{"type":"string","description":"QR code link with requisites"},"assetInCode":{"type":"string","description":"Input asset"},"assetOutCode":{"type":"string","description":"Output asset"},"networkInCode":{"type":"string","description":"Input asset network"},"networkOutCode":{"type":"string","description":"Output asset network"},"balanceAfter":{"type":"string","description":"Balance after order completion"},"callbackUrl":{"type":"string","description":"Callback URL"},"invoicePublicUrl":{"type":"string","description":"Public invoice URL"},"txId":{"type":"string","description":"Transaction ID"},"expirationTime":{"format":"date-time","type":"string","description":"Pay until"},"isImPayed":{"type":"boolean","description":"Is paid immediately?"},"isBayerPaysService":{"type":"boolean","description":"Does buyer pay service commission for invoices?"},"serviceFeeCurrencyCode":{"type":"string","description":"Service fee payment currency"},"netFeeCurrencyCode":{"type":"string","description":"Network fee reimbursement currency"},"paymentTiming":{"type":"string","description":"Payment timing - on time or after due","enum":["onTime","afterDue"]},"amountValidity":{"type":"string","description":"Payment amount validity","enum":["less","valid","greater"]}},"required":["id","uid","createdAt","updatedAt","deletedAt","serviceCommission","netCommission","comment","publicComment","merchantUid","merchantName","merchantId","type","status","invoiceCurrencyCode","currencyInCode","currencyOutCode","invoiceAmount","amountInExpected","amountInFact","amountOutExpected","amountOutFact","hedgeRate","isDone","apiMode","risk","requisites","requisitesIn","requisitesOut","requisitesMemoTag","requisitesMemoTagIn","requisitesMemoTagOut","billingTag","requisitesQrCode","assetInCode","assetOutCode","networkInCode","networkOutCode","balanceAfter","callbackUrl","invoicePublicUrl","txId","expirationTime","isImPayed","isBayerPaysService","serviceFeeCurrencyCode","netFeeCurrencyCode","paymentTiming","amountValidity"]},"CustomBadRequestException":{"type":"object","properties":{"error":{"type":"string","description":"Error description"},"errorCode":{"type":"number","description":"Error code"}},"required":["errorCode"]},"CustomUnauthorizedException":{"type":"object","properties":{"error":{"type":"string","description":"Error description"},"errorCode":{"type":"number","description":"Error code"}},"required":["errorCode"]},"CustomForbiddenException":{"type":"object","properties":{"error":{"type":"string","description":"Error description"},"errorCode":{"type":"number","description":"Error code"}},"required":["errorCode"]},"CustomInternalErrorException":{"type":"object","properties":{"error":{"type":"string","description":"Error description"},"errorCode":{"type":"number","description":"Error code"}},"required":["errorCode"]}}}}
```

## Create Withdraw with Exchange order

> &#x20;     Request for withdrawal with conversion.\
> &#x20;     The process includes two stages: Exchange -> Withdraw.\
> &#x20;     For example, when withdrawing USDT to BTC:\
> &#x20;       1\. USDT (fromAssetCode) from the merchant's balance is converted to BTC\
> &#x20;       2\. BTC (toCurrencyCode) is withdrawn to the specified address (recipient) on the Bitcoin network.\
> &#x20;     \
> &#x20;     Important: The withdrawal amount (amount) is specified in toCurrencyCode.\
> &#x20;    \
> &#x20;     Tip: To estimate the currencyInCode amount, you can use the "orders/estimate-in" method.   &#x20;

```json
{"openapi":"3.0.0","info":{"title":"API Integration","version":"0.0.4.1-alpha"},"tags":[{"name":"api","description":""}],"paths":{"/api/v1/integration/orders/withdraw-with-exchange":{"post":{"operationId":"ApiOrderController_createWithdrawWithExchange","summary":"Create Withdraw with Exchange order","description":"      Request for withdrawal with conversion.\n      The process includes two stages: Exchange -> Withdraw.\n      For example, when withdrawing USDT to BTC:\n        1. USDT (fromAssetCode) from the merchant's balance is converted to BTC\n        2. BTC (toCurrencyCode) is withdrawn to the specified address (recipient) on the Bitcoin network.\n      \n      Important: The withdrawal amount (amount) is specified in toCurrencyCode.\n     \n      Tip: To estimate the currencyInCode amount, you can use the \"orders/estimate-in\" method.    ","parameters":[{"name":"x-api-key","in":"header","required":true,"schema":{"type":"string"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/WithdrawWithExchangeDto"}}}},"responses":{"200":{"description":"Successfully created withdraw with exchange order","content":{"application/json":{"schema":{"allOf":[{"$ref":"#/components/schemas/AResponseType"},{"properties":{"data":{"$ref":"#/components/schemas/OrderSerializer"}}}]}}}},"400":{"description":"Invalid request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CustomBadRequestException"}}}},"401":{"description":"Authorization required","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CustomUnauthorizedException"}}}},"403":{"description":"Insufficient permissions","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CustomForbiddenException"}}}},"500":{"description":"System error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CustomInternalErrorException"}}}}},"tags":["api"]}}},"components":{"schemas":{"WithdrawWithExchangeDto":{"type":"object","properties":{"amount":{"type":"string","description":"Output amount"},"toCurrencyCode":{"type":"string","description":"Receiving currency (with network)"},"recipient":{"type":"string","description":"Recipient (address)"},"requisitesMemoTag":{"type":"string","description":"Memo tag (for XRP, TON, etc.)"},"callbackUrl":{"type":"string","description":"Callback URL for sending hooks","minLength":5},"comment":{"type":"string","description":"Transfer comment. Optional field"},"fromAssetCode":{"type":"string","description":"Asset from which conversion is made"}},"required":["amount","toCurrencyCode","recipient","fromAssetCode"]},"AResponseType":{"type":"object","properties":{"message":{"type":"string","description":"Status message"},"data":{"type":"object","description":"Data"},"count":{"type":"number","description":"Total number of items in the database"}},"required":["message"]},"OrderSerializer":{"type":"object","properties":{"id":{"type":"number","description":"Id"},"uid":{"type":"string","description":"UUID"},"createdAt":{"format":"date-time","type":"string","description":"Creation date"},"updatedAt":{"format":"date-time","type":"string","description":"Update date"},"deletedAt":{"format":"date-time","type":"string","description":"Deletion date"},"serviceCommission":{"type":"string","description":"Service commission"},"netCommission":{"type":"string","description":"Network commission"},"comment":{"type":"string","description":"Comment"},"publicComment":{"type":"string","description":"Public comment"},"merchantUid":{"type":"string","description":"Merchant UUID"},"merchantName":{"type":"string","description":"Merchant name"},"merchantId":{"type":"string","description":"Merchant ID"},"type":{"type":"string","description":"Order type","enum":["invoice","invoice-without-amount","exchange","withdraw","withdraw-with-exchange","currency-to-currency","deposit","account-transfer","account-deposit","ref-payment"]},"status":{"type":"string","description":"Order status","enum":["created","success","warning","failed","inProgress","invoiceWaitCreate","invoiceNotCreated","invoiceWaitRequisites","invoiceWaitPay","invoiceWaitConfirms","invoiceWaitCheck","invoiceNotPayed","invoiceCheckBlocked","transferBlocked","exchangeBlocked","withdrawBlocked"]},"invoiceCurrencyCode":{"type":"string","description":"Invoice currency"},"currencyInCode":{"type":"string","description":"Payment currency"},"currencyOutCode":{"type":"string","description":"Receiving currency"},"invoiceAmount":{"type":"string","description":"Invoice amount"},"amountInExpected":{"type":"string","description":"Expected payment amount"},"amountInFact":{"type":"string","description":"Actual payment amount"},"amountOutExpected":{"type":"string","description":"Expected receiving amount"},"amountOutFact":{"type":"string","description":"Actual receiving amount"},"hedgeRate":{"type":"string","description":"Hedging rate"},"isDone":{"type":"boolean","description":"Is order completed?"},"apiMode":{"type":"string","description":"Order creation source (UI | API)","enum":["ui","api"]},"risk":{"type":"string","description":"Risk assessment"},"requisites":{"type":"string","description":"Order requisites"},"requisitesIn":{"type":"string","description":"Input requisites"},"requisitesOut":{"type":"string","description":"Output requisites"},"requisitesMemoTag":{"type":"string","description":"Memo tag (for XRP, TON etc.)"},"requisitesMemoTagIn":{"type":"string","description":"Input memo tag (for XRP, TON etc.)"},"requisitesMemoTagOut":{"type":"string","description":"Output memo tag (for XRP, TON etc.)"},"billingTag":{"type":"string","description":"Billing tag"},"requisitesQrCode":{"type":"string","description":"QR code link with requisites"},"assetInCode":{"type":"string","description":"Input asset"},"assetOutCode":{"type":"string","description":"Output asset"},"networkInCode":{"type":"string","description":"Input asset network"},"networkOutCode":{"type":"string","description":"Output asset network"},"balanceAfter":{"type":"string","description":"Balance after order completion"},"callbackUrl":{"type":"string","description":"Callback URL"},"invoicePublicUrl":{"type":"string","description":"Public invoice URL"},"txId":{"type":"string","description":"Transaction ID"},"expirationTime":{"format":"date-time","type":"string","description":"Pay until"},"isImPayed":{"type":"boolean","description":"Is paid immediately?"},"isBayerPaysService":{"type":"boolean","description":"Does buyer pay service commission for invoices?"},"serviceFeeCurrencyCode":{"type":"string","description":"Service fee payment currency"},"netFeeCurrencyCode":{"type":"string","description":"Network fee reimbursement currency"},"paymentTiming":{"type":"string","description":"Payment timing - on time or after due","enum":["onTime","afterDue"]},"amountValidity":{"type":"string","description":"Payment amount validity","enum":["less","valid","greater"]}},"required":["id","uid","createdAt","updatedAt","deletedAt","serviceCommission","netCommission","comment","publicComment","merchantUid","merchantName","merchantId","type","status","invoiceCurrencyCode","currencyInCode","currencyOutCode","invoiceAmount","amountInExpected","amountInFact","amountOutExpected","amountOutFact","hedgeRate","isDone","apiMode","risk","requisites","requisitesIn","requisitesOut","requisitesMemoTag","requisitesMemoTagIn","requisitesMemoTagOut","billingTag","requisitesQrCode","assetInCode","assetOutCode","networkInCode","networkOutCode","balanceAfter","callbackUrl","invoicePublicUrl","txId","expirationTime","isImPayed","isBayerPaysService","serviceFeeCurrencyCode","netFeeCurrencyCode","paymentTiming","amountValidity"]},"CustomBadRequestException":{"type":"object","properties":{"error":{"type":"string","description":"Error description"},"errorCode":{"type":"number","description":"Error code"}},"required":["errorCode"]},"CustomUnauthorizedException":{"type":"object","properties":{"error":{"type":"string","description":"Error description"},"errorCode":{"type":"number","description":"Error code"}},"required":["errorCode"]},"CustomForbiddenException":{"type":"object","properties":{"error":{"type":"string","description":"Error description"},"errorCode":{"type":"number","description":"Error code"}},"required":["errorCode"]},"CustomInternalErrorException":{"type":"object","properties":{"error":{"type":"string","description":"Error description"},"errorCode":{"type":"number","description":"Error code"}},"required":["errorCode"]}}}}
```

## GET /api/v1/integration/orders/filters/assets

> Get asset filter values

```json
{"openapi":"3.0.0","info":{"title":"API Integration","version":"0.0.4.1-alpha"},"tags":[{"name":"api","description":""}],"paths":{"/api/v1/integration/orders/filters/assets":{"get":{"operationId":"ApiOrderController_getAssetsFilterValues","summary":"Get asset filter values","parameters":[{"name":"x-api-key","in":"header","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Returns an array of strings that can be used as a filter for the \"assets\" query parameter in the endpoint for getting a list of orders","content":{"application/json":{"schema":{"allOf":[{"$ref":"#/components/schemas/AResponseType"},{"properties":{"data":{"type":"array","items":{"type":"string"}}}}]}}}},"400":{"description":"Invalid request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CustomBadRequestException"}}}},"401":{"description":"Authorization required","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CustomUnauthorizedException"}}}},"403":{"description":"Insufficient permissions","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CustomForbiddenException"}}}},"500":{"description":"System error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CustomInternalErrorException"}}}}},"tags":["api"]}}},"components":{"schemas":{"AResponseType":{"type":"object","properties":{"message":{"type":"string","description":"Status message"},"data":{"type":"object","description":"Data"},"count":{"type":"number","description":"Total number of items in the database"}},"required":["message"]},"CustomBadRequestException":{"type":"object","properties":{"error":{"type":"string","description":"Error description"},"errorCode":{"type":"number","description":"Error code"}},"required":["errorCode"]},"CustomUnauthorizedException":{"type":"object","properties":{"error":{"type":"string","description":"Error description"},"errorCode":{"type":"number","description":"Error code"}},"required":["errorCode"]},"CustomForbiddenException":{"type":"object","properties":{"error":{"type":"string","description":"Error description"},"errorCode":{"type":"number","description":"Error code"}},"required":["errorCode"]},"CustomInternalErrorException":{"type":"object","properties":{"error":{"type":"string","description":"Error description"},"errorCode":{"type":"number","description
[...]
